Debian Bug report logs - #572983
live-helper: Please add *-updates apt-lines when --mode ubuntu

version graph

Package: live-helper; Maintainer for live-helper is Debian Live Project <debian-live@lists.debian.org>;

Reported by: Kazuhiro NISHIYAMA <zn@mbf.nifty.com>

Date: Sun, 7 Mar 2010 23:12:02 UTC

Severity: normal

Found in version live-helper/2.0~a8-1

Fixed in version live-helper/2.0~a9-1

Done: Daniel Baumann <daniel@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live@lists.debian.org>:
Bug#572983; Package live-helper. (Sun, 07 Mar 2010 23:12:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kazuhiro NISHIYAMA <zn@mbf.nifty.com>:
New Bug report received and forwarded. Copy sent to Debian Live <debian-live@lists.debian.org>. (Sun, 07 Mar 2010 23:12:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Kazuhiro NISHIYAMA <zn@mbf.nifty.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: live-helper: Please add *-updates apt-lines when --mode ubuntu
Date: Mon, 08 Mar 2010 08:04:33 +0900
Package: live-helper
Version: 2.0~a8-1
Severity: normal

For example, gnome-desktop-environment package of hardy,
1:2.20.2.2 in hardy has dependency problem,
and resolved 1:2.20.2.2ubuntu0.1 in hardy-updates.

http://packages.ubuntu.com/search?keywords=gnome-desktop-environment

-- Package-specific info:

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-2-amd64 (SMP w/1 CPU core)
Locale: LANG=ja_JP.UTF-8, LC_CTYPE=ja_JP.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages live-helper depends on:
ii  debootstrap                   1.0.22     Bootstrap a basic Debian system

Versions of packages live-helper recommends:
ii  cpio                          2.10-1     GNU cpio -- a program to manage ar
ii  gettext-base                  0.17-10    GNU Internationalization utilities

Versions of packages live-helper suggests:
ii  dosfstools                 3.0.9-1       utilities for making and checking 
ii  fakeroot                   1.14.4-1      Gives a fake root environment
ii  genisoimage                9:1.1.10-1    Creates ISO-9660 CD-ROM filesystem
pn  memtest86+ | memtest86     <none>        (no description available)
ii  mtools                     4.0.12-1      Tools for manipulating MSDOS files
pn  parted                     <none>        (no description available)
pn  squashfs-tools | genext2fs <none>        (no description available)
ii  sudo                       1.7.2p1-1.2   Provide limited super user privile
ii  syslinux                   2:3.85+dfsg-1 utilities for the syslinux bootloa
ii  uuid-runtime               2.16.2-0      runtime components for the Univers
pn  win32-loader               <none>        (no description available)

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live@lists.debian.org>:
Bug#572983; Package live-helper. (Wed, 10 Mar 2010 16:13:49 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Cody A.W. Somerville" <cody.somerville@canonical.com>:
Extra info received and forwarded to list. Copy sent to Debian Live <debian-live@lists.debian.org>. (Wed, 10 Mar 2010 16:13:49 GMT) Full text and rfc822 format available.

Message #10 received at 572983@bugs.debian.org (full text, mbox):

From: "Cody A.W. Somerville" <cody.somerville@canonical.com>
To: 572983@bugs.debian.org
Subject: live-helper: Please add *-updates apt-lines when --mode ubuntu
Date: Wed, 10 Mar 2010 10:56:51 -0500
[Message part 1 (text/plain, inline)]
Hello,

 You can add those yourself. Please refer to
http://live.debian.net/manual/html/packages.html#package-sources for
instructions on how to do so.

Cheers,

-- 
Cody A.W. Somerville
Release Engineer
Foundations Team
Custom Engineering Solutions Group
Canonical OEM Services
Phone: +1-781-850-2087
Cell: +1-613-401-5141
Email: cody.somerville@canonical.com
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live@lists.debian.org>:
Bug#572983; Package live-helper. (Wed, 10 Mar 2010 19:00:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Live <debian-live@lists.debian.org>. (Wed, 10 Mar 2010 19:00:09 GMT) Full text and rfc822 format available.

Message #15 received at 572983@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: "Cody A.W. Somerville" <cody.somerville@canonical.com>
Cc: 572983@bugs.debian.org
Subject: Re: Bug#572983: live-helper: Please add *-updates apt-lines when --mode ubuntu
Date: Wed, 10 Mar 2010 19:58:20 +0100
On 03/10/2010 04:56 PM, Cody A.W. Somerville wrote:
>   You can add those yourself. Please refer to
> http://live.debian.net/manual/html/packages.html#package-sources for
> instructions on how to do so.

the question is not if it's possible to use third party sources, but if 
lh should add the update repo for ubuntu automaticaly and by default 
(same as the security updates or volatile are when building debian images).

lacking any knowledge about ubuntu, it would be nice if you could tell, 
if lh should do this (and the bug itself is thus valid), or, if not, we 
should close the bug.

Regards,
Daniel

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live@lists.debian.org>:
Bug#572983; Package live-helper. (Wed, 10 Mar 2010 19:42:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "Cody A.W. Somerville" <cody.somerville@canonical.com>:
Extra info received and forwarded to list. Copy sent to Debian Live <debian-live@lists.debian.org>. (Wed, 10 Mar 2010 19:42:03 GMT) Full text and rfc822 format available.

Message #20 received at 572983@bugs.debian.org (full text, mbox):

From: "Cody A.W. Somerville" <cody.somerville@canonical.com>
To: daniel@debian.org
Cc: 572983@bugs.debian.org
Subject: Re: Bug#572983: live-helper: Please add *-updates apt-lines when --mode ubuntu
Date: Wed, 10 Mar 2010 14:38:11 -0500
[Message part 1 (text/plain, inline)]
Hi Daniel,

On Wed, Mar 10, 2010 at 1:58 PM, Daniel Baumann <daniel@debian.org> wrote:

> On 03/10/2010 04:56 PM, Cody A.W. Somerville wrote:
>
>>  You can add those yourself. Please refer to
>> http://live.debian.net/manual/html/packages.html#package-sources for
>> instructions on how to do so.
>>
>
> the question is not if it's possible to use third party sources, but if lh
> should add the update repo for ubuntu automaticaly and by default (same as
> the security updates or volatile are when building debian images).
>
> lacking any knowledge about ubuntu, it would be nice if you could tell, if
> lh should do this (and the bug itself is thus valid), or, if not, we should
> close the bug.
>

Yes, it probably should since default installs of Ubuntu have those suites
enabled. However, I'm not in favor of complicating lh config with a set of
options for this like those that exist for Debian's security/volatile.

I saw on the wiki [1] that there are plans to "rethink sources.list and
sources.list.d handling". I think we should solve this as a part of that
effort instead of just hacking on this feature since there is already a very
easy work around/solution available. If this is the appropriate place to
discuss I'm happy to reply with some ideas, otherwise I'll chat with you on
IRC.

[1] http://live.debian.net/project/roadmap/

Cheers,

-- 
Cody A.W. Somerville
Release Engineer
Foundations Team
Custom Engineering Solutions Group
Canonical OEM Services
Phone: +1 781 850 2087
Cell: +1 613 401 5141
Fax: +1 613 687 7368
Email: cody.somerville@canonical.com
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live <debian-live@lists.debian.org>:
Bug#572983; Package live-helper. (Thu, 11 Mar 2010 18:15:12 GMT) Full text and rfc822 format available.

Acknowledgement sent to daniel@debian.org:
Extra info received and forwarded to list. Copy sent to Debian Live <debian-live@lists.debian.org>. (Thu, 11 Mar 2010 18:15:12 GMT) Full text and rfc822 format available.

Message #25 received at 572983@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 572983-submitter@bugs.debian.org
Cc: 572983@bugs.debian.org
Subject: Re: live-helper: Please add *-updates apt-lines when --mode ubuntu
Date: Thu, 11 Mar 2010 19:12:00 +0100
tag 572983 pending
thanks

fixed in git.

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/




Added tag(s) pending. Request was from Daniel Baumann <daniel@debian.org> to control@bugs.debian.org. (Thu, 11 Mar 2010 18:15:14 GMT) Full text and rfc822 format available.

Message sent on to Kazuhiro NISHIYAMA <zn@mbf.nifty.com>:
Bug#572983. (Thu, 11 Mar 2010 18:15:17 GMT) Full text and rfc822 format available.

Reply sent to Daniel Baumann <daniel@debian.org>:
You have taken responsibility. (Sun, 14 Mar 2010 22:48:11 GMT) Full text and rfc822 format available.

Notification sent to Kazuhiro NISHIYAMA <zn@mbf.nifty.com>:
Bug acknowledged by developer. (Sun, 14 Mar 2010 22:48:11 GMT) Full text and rfc822 format available.

Message #35 received at 572983-close@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel@debian.org>
To: 572983-close@bugs.debian.org
Subject: Bug#572983: fixed in live-helper 2.0~a9-1
Date: Sun, 14 Mar 2010 22:47:27 +0000
Source: live-helper
Source-Version: 2.0~a9-1

We believe that the bug you reported is fixed in the latest version of
live-helper, which is due to be installed in the Debian FTP archive:

live-helper_2.0~a9-1.diff.gz
  to main/l/live-helper/live-helper_2.0~a9-1.diff.gz
live-helper_2.0~a9-1.dsc
  to main/l/live-helper/live-helper_2.0~a9-1.dsc
live-helper_2.0~a9-1_all.deb
  to main/l/live-helper/live-helper_2.0~a9-1_all.deb
live-helper_2.0~a9.orig.tar.gz
  to main/l/live-helper/live-helper_2.0~a9.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 572983@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Baumann <daniel@debian.org> (supplier of updated live-helper package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 14 Mar 2010 23:31:59 +0100
Source: live-helper
Binary: live-helper
Architecture: source all
Version: 2.0~a9-1
Distribution: unstable
Urgency: low
Maintainer: Debian Live <debian-live@lists.debian.org>
Changed-By: Daniel Baumann <daniel@debian.org>
Description: 
 live-helper - Debian Live build scripts
Closes: 571056 572976 572983
Changes: 
 live-helper (2.0~a9-1) unstable; urgency=low
 .
   [ Daniel Baumann ]
   * Applying slightly modified patch from Cody A.W. Somerville
     <cody.somerville@canonical.com> to add support for custom debian
     installer images mirror.
 .
   [ Trent W. Buck ]
   * Adding helper to prevent upstart from being run during chroot phase
     (Closes: #571056).
 .
   [ Daniel Baumann ]
   * Adding lh_chroot_upstart manpage.
   * Updating year to 2010 in copyright notices.
   * Adding support for debian-volatile archive.
   * Setting debian-installer-gui default to false for squeeze and sid.
   * Removing outdated crontab and cronjob examples.
   * Merging live-webhelper.
   * Removing obsolete common file in cgi.
   * Updating function reading in the cgi.
   * Updating copyright headers in cgi.
   * Shuffeling cgi files arround.
   * Updating filesystem pathes in cgi.
   * Removing obsolete mechanism of using alternatives for templates, has
     never been used anyway and it's more suitable to directly specify
     them in the config tree instead.
   * Removing obsolete removal of (not used) logfile in the maintainer
     scripts.
   * Excluding cgi from checkbashism (checkbashism is too stupid).
   * Correcting she-bang in cgi.
 .
   [ Steven Shiau ]
   * Fixing build failure with indices caching.
 .
   [ Daniel Baumann ]
   * Only remove auxilliary packages in rootfs when not using pre-cached
     chroot (Closes: #572976).
 .
   [ Richard Nelson ]
   * Removing LH_MIRROR_BOOTSTRAP_SECURITY in the cgi.
   * Cleaning up cgi templates.
   * Updating variables for live-helper 2 in the cgi.
 .
   [ Daniel Baumann ]
   * Adding temporary makefile for the cgi.
 .
   [ Richard Nelson ]
   * Removing etch legacy options in the cgi.
   * Updating booleans for live-helper 2 in the cgi.
   * Updating mail contents in the cgi.
   * Updating cron for live-helper 2 in the cgi.
   * Updating packages lists for live-helper 2 in the cgi.
   * Removing unused version variable in the cgi templates.
   * Updating homepage location in the cgi templates.
 .
   [ Daniel Baumann ]
   * Updating hostname of ubuntu security updates.
   * Adding update repositories as volatile when building in ubuntu mode
     (Closes: #572983).
   * Correcting typo in desktop hacks.
   * Updating rescue list for squeeze.
   * Updating debian-forensics list.
   * Manually removing resolvconf when building kde-desktop release
     images.
   * Updating menu splash image for new syslinux.
   * Updating contact information in copyright file.
   * Updating autobuild script for squeeze alpha1 images.
 .
   [ Richard Nelson ]
   * Clean out trailing white space and tabs on l-h.cgi cron.
   * Added debug option on l-h.cgi cron.
   * Added debug option on l-h.cgi cgi.
   * Clean out leading white space on l-h.cgi cgi.
 .
   [ Daniel Baumann ]
   * Simplifying wording in bug-presubj file.
   * Reordering auto install overrides in rules file.
Checksums-Sha1: 
 eb492770677f4c56f3b22abdc56e190f7f3c8a22 1242 live-helper_2.0~a9-1.dsc
 1ca947f306e076fc287502581cb3eebcf8edc16f 2253784 live-helper_2.0~a9.orig.tar.gz
 3ec5b0f71c1940864c3232afd6c3a89e6edf34d6 30156 live-helper_2.0~a9-1.diff.gz
 2f7986a2780810b63d72aedb895527da49b09d27 1117140 live-helper_2.0~a9-1_all.deb
Checksums-Sha256: 
 65e6932cf8b36a81bc315bd02d89742587f621e6eb97e3b64be87dd3877ea32e 1242 live-helper_2.0~a9-1.dsc
 d62257d18d794b7562a93333670e5410e65feb7118200b5c329b3241ab1422b6 2253784 live-helper_2.0~a9.orig.tar.gz
 7c282ec259207f27b109da88d7e68be5637cce36121262566ebe923d5fb12d35 30156 live-helper_2.0~a9-1.diff.gz
 2d7a814949291d8e71ffc4e529209a5fb84a7ba886189289a36abba9511c2a63 1117140 live-helper_2.0~a9-1_all.deb
Files: 
 6a91aa223c53f3f0e67b877d88ab5834 1242 misc optional live-helper_2.0~a9-1.dsc
 3ccf292b8c31962786658acbc44a0371 2253784 misc optional live-helper_2.0~a9.orig.tar.gz
 ab96721182e5066b0d6869555acc8355 30156 misc optional live-helper_2.0~a9-1.diff.gz
 2fea5136afe7119df610b9c37c38feb1 1117140 misc optional live-helper_2.0~a9-1_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkudZNUACgkQ+C5cwEsrK55XGQCdFAg5wIqvgYLHby0aEYkKPMif
mmcAoNFtCBXVq2dGx32m0D1o+6YXaik4
=NLGW
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 22 Apr 2010 07:39:15 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 01:51:44 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.